# eric7.Plugins.VcsPlugins.vcsMercurial.QueuesExtension.HgQueuesListGuardsDialog

Module implementing a dialog to show the guards of a selected patch.

### Global Attributes

None

### Classes

HgQueuesListGuardsDialog | Class implementing a dialog to show the guards of a selected patch.

### Functions

None

## HgQueuesListGuardsDialog

Class implementing a dialog to show the guards of a selected patch.

### Derived from

QDialog, Ui_HgQueuesListGuardsDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgQueuesListGuardsDialog | Constructor
closeEvent | Protected slot implementing a close event handler.
on_patchSelector_activated | Private slot to get the list of guards for the given patch name.
start | Public slot to start the list command.

### Static Methods

None

#### HgQueuesListGuardsDialog (Constructor)

HgQueuesListGuardsDialog(vcs, patchesList, parent=None)

Constructor

vcs
  reference to the vcs object
patchesList
  list of patches (list of strings)
parent
  reference to the parent widget (QWidget)

#### HgQueuesListGuardsDialog.closeEvent

closeEvent(e)

Protected slot implementing a close event handler.

e
  close event (QCloseEvent)

#### HgQueuesListGuardsDialog.on_patchSelector_activated

on_patchSelector_activated(index)

Private slot to get the list of guards for the given patch name.

index (int)
  index of the selected entry

#### HgQueuesListGuardsDialog.start

start()

Public slot to start the list command.

Up